## commonj.sdo
Interface Sequence

All Known Subinterfaces:
  ESequence

All Known Implementing Classes:
  BasicESequence

    public interface Sequence

A sequence is a heterogeneous list of `properties` and corresponding values. It represents an ordered arbitrary mixture of data values from more than one property of a `data object`.

Method Summary
`void` `add(int index, int propertyIndex, java.lang.Object value)` Adds a new entry with the specified property index and value at the specified entry index.
`boolean` `add(int propertyIndex, java.lang.Object value)` Adds a new entry with the specified property index and value to the end of the entries.
`void` `add(int index, Property property, java.lang.Object value)` Adds a new entry with the specified property and value at the specified entry index.
`void` `add(int index, java.lang.String propertyName, java.lang.Object value)` Adds a new entry with the specified property name and value at the specified entry index.
`boolean` `add(Property property, java.lang.Object value)` Adds a new entry with the specified property and value to the end of the entries.
`boolean` `add(java.lang.String propertyName, java.lang.Object value)` Adds a new entry with the specified property name and value to the end of the entries.
`Property` `getProperty(int index)` Returns the property for the given entry index.
`java.lang.Object` `getValue(int index)` Returns the property value for the given entry index.
`void` `move(int toIndex, int fromIndex)` Moves the entry at `fromIndex` to `toIndex`.
`void` `remove(int index)` Removes the entry at the given entry index.
`java.lang.Object` `setValue(int index, java.lang.Object value)` Sets the entry at a specified index to the new value.
`int` `size()` Returns the number of entries in the sequence.

Method Detail

### size

    int size()

  Returns the number of entries in the sequence.

  Returns:
    the number of entries.

### getProperty

    Property getProperty(int index)

  Returns the property for the given entry index. Returns `null` for mixed text entries.

  Parameters:
    `index` - the index of the entry.
  Returns:
    the property or `null` for the given entry index.

### getValue

    java.lang.Object getValue(int index)

  Returns the property value for the given entry index.

  Parameters:
    `index` - the index of the entry.
  Returns:
    the value for the given entry index..

### setValue

    java.lang.Object setValue(int index,
                              java.lang.Object value)

  Sets the entry at a specified index to the new value.

  Parameters:
    `index` - the index of the entry.
    `value` - the new value for the entry.

### add

    boolean add(java.lang.String propertyName,
                java.lang.Object value)

  Adds a new entry with the specified property name and value to the end of the entries.

  Parameters:
    `propertyName` - the name of the entry's property.
    `value` - the value for the entry.

### add

    boolean add(int propertyIndex,
                java.lang.Object value)

  Adds a new entry with the specified property index and value to the end of the entries.

  Parameters:
    `propertyIndex` - the index of the entry's property.
    `value` - the value for the entry.

### add

    boolean add(Property property,
                java.lang.Object value)

  Adds a new entry with the specified property and value to the end of the entries.

  Parameters:
    `property` - the property of the entry.
    `value` - the value for the entry.

### add

    void add(int index,
             java.lang.String propertyName,
             java.lang.Object value)

  Adds a new entry with the specified property name and value at the specified entry index.

  Parameters:
    `index` - the index at which to add the entry.
    `propertyName` - the name of the entry's property.
    `value` - the value for the entry.

### add

    void add(int index,
             int propertyIndex,
             java.lang.Object value)

  Adds a new entry with the specified property index and value at the specified entry index.

  Parameters:
    `index` - the index at which to add the entry.
    `propertyIndex` - the index of the entry's property.
    `value` - the value for the entry.

### add

    void add(int index,
             Property property,
             java.lang.Object value)

  Adds a new entry with the specified property and value at the specified entry index.

  Parameters:
    `index` - the index at which to add the entry.
    `property` - the property of the entry.
    `value` - the value for the entry.

### remove

    void remove(int index)

  Removes the entry at the given entry index.

  Parameters:
    `index` - the index of the entry

### move

    void move(int toIndex,
              int fromIndex)

  Moves the entry at `fromIndex` to `toIndex`.

  Parameters:
    `toIndex` - the index of the entry destination.
    `fromIndex` - the index of the entry to move.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.